<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc -->
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>Uses of Class org.apache.commons.dbcp2.managed.TransactionRegistry (Apache Commons DBCP 2.8.0 API)</title>
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class org.apache.commons.dbcp2.managed.TransactionRegistry (Apache Commons DBCP 2.8.0 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../org/apache/commons/dbcp2/managed/TransactionRegistry.html" title="class in org.apache.commons.dbcp2.managed">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../../../../../../overview-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/apache/commons/dbcp2/managed/class-use/TransactionRegistry.html" target="_top">Frames</a></li>
<li><a href="TransactionRegistry.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class org.apache.commons.dbcp2.managed.TransactionRegistry" class="title">Uses of Class<br>org.apache.commons.dbcp2.managed.TransactionRegistry</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../../org/apache/commons/dbcp2/managed/TransactionRegistry.html" title="class in org.apache.commons.dbcp2.managed">TransactionRegistry</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.commons.dbcp2.managed">org.apache.commons.dbcp2.managed</a></td>
<td class="colLast">
<div class="block">
 This package provides support for pooling of ManagedConnections.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="org.apache.commons.dbcp2.managed">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../org/apache/commons/dbcp2/managed/TransactionRegistry.html" title="class in org.apache.commons.dbcp2.managed">TransactionRegistry</a> in <a href="../../../../../../org/apache/commons/dbcp2/managed/package-summary.html">org.apache.commons.dbcp2.managed</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../org/apache/commons/dbcp2/managed/package-summary.html">org.apache.commons.dbcp2.managed</a> that return <a href="../../../../../../org/apache/commons/dbcp2/managed/TransactionRegistry.html" title="class in org.apache.commons.dbcp2.managed">TransactionRegistry</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../../../../../../org/apache/commons/dbcp2/managed/TransactionRegistry.html" title="class in org.apache.commons.dbcp2.managed">TransactionRegistry</a></code></td>
<td class="colLast"><span class="typeNameLabel">BasicManagedDataSource.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/dbcp2/managed/BasicManagedDataSource.html#getTransactionRegistry--">getTransactionRegistry</a></span>()</code>
<div class="block">Gets the transaction registry.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../org/apache/commons/dbcp2/managed/TransactionRegistry.html" title="class in org.apache.commons.dbcp2.managed">TransactionRegistry</a></code></td>
<td class="colLast"><span class="typeNameLabel">DataSourceXAConnectionFactory.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/dbcp2/managed/DataSourceXAConnectionFactory.html#getTransactionRegistry--">getTransactionRegistry</a></span>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/apache/commons/dbcp2/managed/TransactionRegistry.html" title="class in org.apache.commons.dbcp2.managed">TransactionRegistry</a></code></td>
<td class="colLast"><span class="typeNameLabel">LocalXAConnectionFactory.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/dbcp2/managed/LocalXAConnectionFactory.html#getTransactionRegistry--">getTransactionRegistry</a></span>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../org/apache/commons/dbcp2/managed/TransactionRegistry.html" title="class in org.apache.commons.dbcp2.managed">TransactionRegistry</a></code></td>
<td class="colLast"><span class="typeNameLabel">ManagedConnection.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/dbcp2/managed/ManagedConnection.html#getTransactionRegistry--">getTransactionRegistry</a></span>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/apache/commons/dbcp2/managed/TransactionRegistry.html" title="class in org.apache.commons.dbcp2.managed">TransactionRegistry</a></code></td>
<td class="colLast"><span class="typeNameLabel">ManagedDataSource.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/dbcp2/managed/ManagedDataSource.html#getTransactionRegistry--">getTransactionRegistry</a></span>()</code>
<div class="block">Gets the transaction registry.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../org/apache/commons/dbcp2/managed/TransactionRegistry.html" title="class in org.apache.commons.dbcp2.managed">TransactionRegistry</a></code></td>
<td class="colLast"><span class="typeNameLabel">PoolableManagedConnection.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/dbcp2/managed/PoolableManagedConnection.html#getTransactionRegistry--">getTransactionRegistry</a></span>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/apache/commons/dbcp2/managed/TransactionRegistry.html" title="class in org.apache.commons.dbcp2.managed">TransactionRegistry</a></code></td>
<td class="colLast"><span class="typeNameLabel">PoolableManagedConnectionFactory.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/dbcp2/managed/PoolableManagedConnectionFactory.html#getTransactionRegistry--">getTransactionRegistry</a></span>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../org/apache/commons/dbcp2/managed/TransactionRegistry.html" title="class in org.apache.commons.dbcp2.managed">TransactionRegistry</a></code></td>
<td class="colLast"><span class="typeNameLabel">XAConnectionFactory.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/dbcp2/managed/XAConnectionFactory.html#getTransactionRegistry--">getTransactionRegistry</a></span>()</code>
<div class="block">Gets the TransactionRegistry for this connection factory which contains a the XAResource for every connection
 created by this factory.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../org/apache/commons/dbcp2/managed/package-summary.html">org.apache.commons.dbcp2.managed</a> with parameters of type <a href="../../../../../../org/apache/commons/dbcp2/managed/TransactionRegistry.html" title="class in org.apache.commons.dbcp2.managed">TransactionRegistry</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">ManagedDataSource.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/dbcp2/managed/ManagedDataSource.html#setTransactionRegistry-org.apache.commons.dbcp2.managed.TransactionRegistry-">setTransactionRegistry</a></span>(<a href="../../../../../../org/apache/commons/dbcp2/managed/TransactionRegistry.html" title="class in org.apache.commons.dbcp2.managed">TransactionRegistry</a>&nbsp;transactionRegistry)</code>
<div class="block">Sets the transaction registry from the XAConnectionFactory used to create the pool.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../../../../../org/apache/commons/dbcp2/managed/package-summary.html">org.apache.commons.dbcp2.managed</a> with parameters of type <a href="../../../../../../org/apache/commons/dbcp2/managed/TransactionRegistry.html" title="class in org.apache.commons.dbcp2.managed">TransactionRegistry</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/dbcp2/managed/ManagedConnection.html#ManagedConnection-org.apache.commons.pool2.ObjectPool-org.apache.commons.dbcp2.managed.TransactionRegistry-boolean-">ManagedConnection</a></span>(<a href="https://commons.apache.org/proper/commons-pool/apidocs/org/apache/commons/pool2/ObjectPool.html?is-external=true" title="class or interface in org.apache.commons.pool2">ObjectPool</a>&lt;<a href="../../../../../../org/apache/commons/dbcp2/managed/ManagedConnection.html" title="type parameter in ManagedConnection">C</a>&gt;&nbsp;pool,
                 <a href="../../../../../../org/apache/commons/dbcp2/managed/TransactionRegistry.html" title="class in org.apache.commons.dbcp2.managed">TransactionRegistry</a>&nbsp;transactionRegistry,
                 boolean&nbsp;accessToUnderlyingConnectionAllowed)</code>
<div class="block">Constructs a new instance responsible for managing a database connection in a transactional environment.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/dbcp2/managed/ManagedDataSource.html#ManagedDataSource-org.apache.commons.pool2.ObjectPool-org.apache.commons.dbcp2.managed.TransactionRegistry-">ManagedDataSource</a></span>(<a href="https://commons.apache.org/proper/commons-pool/apidocs/org/apache/commons/pool2/ObjectPool.html?is-external=true" title="class or interface in org.apache.commons.pool2">ObjectPool</a>&lt;<a href="../../../../../../org/apache/commons/dbcp2/managed/ManagedDataSource.html" title="type parameter in ManagedDataSource">C</a>&gt;&nbsp;pool,
                 <a href="../../../../../../org/apache/commons/dbcp2/managed/TransactionRegistry.html" title="class in org.apache.commons.dbcp2.managed">TransactionRegistry</a>&nbsp;transactionRegistry)</code>
<div class="block">Creates a ManagedDataSource which obtains connections from the specified pool and manages them using the
 specified transaction registry.</div>
</td>
</tr>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/dbcp2/managed/PoolableManagedConnection.html#PoolableManagedConnection-org.apache.commons.dbcp2.managed.TransactionRegistry-java.sql.Connection-org.apache.commons.pool2.ObjectPool-">PoolableManagedConnection</a></span>(<a href="../../../../../../org/apache/commons/dbcp2/managed/TransactionRegistry.html" title="class in org.apache.commons.dbcp2.managed">TransactionRegistry</a>&nbsp;transactionRegistry,
                         <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true" title="class or interface in java.sql">Connection</a>&nbsp;conn,
                         <a href="https://commons.apache.org/proper/commons-pool/apidocs/org/apache/commons/pool2/ObjectPool.html?is-external=true" title="class or interface in org.apache.commons.pool2">ObjectPool</a>&lt;<a href="../../../../../../org/apache/commons/dbcp2/PoolableConnection.html" title="class in org.apache.commons.dbcp2">PoolableConnection</a>&gt;&nbsp;pool)</code>
<div class="block">Create a PoolableManagedConnection.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/dbcp2/managed/PoolableManagedConnection.html#PoolableManagedConnection-org.apache.commons.dbcp2.managed.TransactionRegistry-java.sql.Connection-org.apache.commons.pool2.ObjectPool-java.util.Collection-boolean-">PoolableManagedConnection</a></span>(<a href="../../../../../../org/apache/commons/dbcp2/managed/TransactionRegistry.html" title="class in org.apache.commons.dbcp2.managed">TransactionRegistry</a>&nbsp;transactionRegistry,
                         <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true" title="class or interface in java.sql">Connection</a>&nbsp;conn,
                         <a href="https://commons.apache.org/proper/commons-pool/apidocs/org/apache/commons/pool2/ObjectPool.html?is-external=true" title="class or interface in org.apache.commons.pool2">ObjectPool</a>&lt;<a href="../../../../../../org/apache/commons/dbcp2/PoolableConnection.html" title="class in org.apache.commons.dbcp2">PoolableConnection</a>&gt;&nbsp;pool,
                         <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;disconnectSqlCodes,
                         boolean&nbsp;fastFailValidation)</code>
<div class="block">Create a PoolableManagedConnection.</div>
</td>
</tr>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/dbcp2/managed/TransactionContext.html#TransactionContext-org.apache.commons.dbcp2.managed.TransactionRegistry-javax.transaction.Transaction-">TransactionContext</a></span>(<a href="../../../../../../org/apache/commons/dbcp2/managed/TransactionRegistry.html" title="class in org.apache.commons.dbcp2.managed">TransactionRegistry</a>&nbsp;transactionRegistry,
                  <a href="https://docs.oracle.com/javase/8/docs/api/javax/transaction/Transaction.html?is-external=true" title="class or interface in javax.transaction">Transaction</a>&nbsp;transaction)</code>
<div class="block">Provided for backwards compatibility</div>
</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/dbcp2/managed/TransactionContext.html#TransactionContext-org.apache.commons.dbcp2.managed.TransactionRegistry-javax.transaction.Transaction-javax.transaction.TransactionSynchronizationRegistry-">TransactionContext</a></span>(<a href="../../../../../../org/apache/commons/dbcp2/managed/TransactionRegistry.html" title="class in org.apache.commons.dbcp2.managed">TransactionRegistry</a>&nbsp;transactionRegistry,
                  <a href="https://docs.oracle.com/javase/8/docs/api/javax/transaction/Transaction.html?is-external=true" title="class or interface in javax.transaction">Transaction</a>&nbsp;transaction,
                  <a href="https://docs.oracle.com/javase/8/docs/api/javax/transaction/TransactionSynchronizationRegistry.html?is-external=true" title="class or interface in javax.transaction">TransactionSynchronizationRegistry</a>&nbsp;transactionSynchronizationRegistry)</code>
<div class="block">Creates a TransactionContext for the specified Transaction and TransactionRegistry.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../org/apache/commons/dbcp2/managed/TransactionRegistry.html" title="class in org.apache.commons.dbcp2.managed">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../../../../../../overview-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/apache/commons/dbcp2/managed/class-use/TransactionRegistry.html" target="_top">Frames</a></li>
<li><a href="TransactionRegistry.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2001&#x2013;2020 <a href="https://www.apache.org/">The Apache Software Foundation</a>. All rights reserved.</small></p>
</body>
</html>
